package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className RegionAnalyzeMapper
 * @description
 * @date 2021/5/13 15:10
 **/
@Repository
public interface RegionAnalyzeMapper {
    //获取区平台信息
    CloudVo getCloudInfo();
    //获取资源、试题总量
    Map getResourceQuestionNum();

    //获取资源类型统计
    List<ResourceTypeVo> listResourceTypeNum();

    //获取试题科目统计
    List<RSubjectVo> listQuestionSubjectNum();

    //获取学校列表
    List<Map> listSchool(@Param("param") RegionParam param);

    //获取学段班级、教师、学生总量
    List<Map> listClassTeacherStudentNum(@Param("param") RegionParam param);
    //近一个月教学统计——作业提交率
    List<WorkVo> listPaperCommitMonth(@Param("param") RegionParam param);
    //近一个月教学统计——预习提交率
    List<WorkVo> listGuideCommitMonth(@Param("param") RegionParam param);
    //近一个月教学统计——背诵提交率
    List<WorkVo> listReciteCommitMonth(@Param("param") RegionParam param);
    //近一个月教学统计——课堂出勤率
    List<Map> listRoomCommitMonth(@Param("param") RegionParam param);


    //近一个月布置作业次数
    List<WorkVo> listPapernumMonth(@Param("param") RegionParam param);

    //近一个月课堂使用情况统计——使用次数
    List<WorkVo> listRoomNumMonth(@Param("param") RegionParam param);
    //近一个月课堂使用情况统计——课堂互动
    List<Map> listRoomAskNumMonth2(@Param("param") RegionParam param);
}
